Package org.gradle.api

# Interface XmlProvider

public interface XmlProvider
Provides various ways to access the content of an XML document.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `asElement()`
  Returns the XML document as a DOM `Element`.
  `Node`
  `asNode()`
  Returns the XML document as a Groovy `Node`.
  `StringBuilder`
  `asString()`
  Returns the XML document as a `StringBuilder`.

- ## Method Details

  - ### asString

    StringBuilder asString()
    Returns the XML document as a `StringBuilder`. Changes to the returned instance will be applied to the XML. The returned instance is only valid until one of the other methods on this interface are called.
    Returns:
      A `StringBuilder` representation of the XML.

  - ### asNode

    Node asNode()
    Returns the XML document as a Groovy `Node`. Changes to the returned instance will be applied to the XML. The returned instance is only valid until one of the other methods on this interface are called.
    Returns:
      A `Node` representation of the XML.

  - ### asElement

    Element asElement()
    Returns the XML document as a DOM `Element`. Changes to the returned instance will be applied to the XML. The returned instance is only valid until one of the other methods on this interface are called.
    Returns:
      An `Element` representation of the XML.